-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}
M.type = "auxilliary"
M.relevantDevice = nil

local min = math.min
local max = math.max
local abs = math.abs

local PRC = nil


local function updateGFX(dt)

    electrics.values.PRC_up = min(max(electrics.values.PRC_up + electrics.values.PRC_updown_change * dt * 1, -1), 1)


  
end

local function init(jbeamData)
  electrics.values.PRC_up = 0
  electrics.values.PRC_updown_change = 0

  for _,wd in pairs(wheels.wheels) do

	if wd.name == "PRC" then PRC = wd end

  end
end

M.init = init
M.updateGFX = updateGFX
M.update = update

return M